| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
GUI_X_uCOS.c File Reference
`#include "GUI.h"`
`#include "os.h"`
`#include "debug_frmwrk.h"`

Go to the source code of this file.

## Functions
int | GUI_X_GetTime (void)
void | GUI_X_Delay (int ms)
void | GUI_X_Init (void)
void | GUI_X_ExecIdle (void)
void | GUI_X_InitOS (void)
void | GUI_X_Unlock (void)
void | GUI_X_Lock (void)
U32 | GUI_X_GetTaskId (void)
void | GUI_X_WaitEvent (void)
void | GUI_X_SignalEvent (void)
void | GUI_X_Log (const char *s)
void | GUI_X_Warn (const char *s)
void | GUI_X_ErrorOut (const char *s)

## Variables
static struct os_mutex | xQueueMutex
static struct os_sem | xSemaTxDone

## Function Documentation

void GUI_X_Delay | ( | int | ms | ) |

Definition at line 64 of file GUI_X_uCOS.c.

void GUI_X_ErrorOut | ( | const char * | s | ) |

Definition at line 177 of file GUI_X_uCOS.c.

void GUI_X_ExecIdle | ( | void |  | ) |

Definition at line 92 of file GUI_X_uCOS.c.

U32 GUI_X_GetTaskId | ( | void |  | ) |

Definition at line 141 of file GUI_X_uCOS.c.

int GUI_X_GetTime | ( | void |  | ) |

Definition at line 58 of file GUI_X_uCOS.c.

void GUI_X_Init | ( | void |  | ) |

Definition at line 80 of file GUI_X_uCOS.c.

void GUI_X_InitOS | ( | void |  | ) |

Definition at line 113 of file GUI_X_uCOS.c.

void GUI_X_Lock | ( | void |  | ) |

Definition at line 132 of file GUI_X_uCOS.c.

void GUI_X_Log | ( | const char * | s | ) |

Definition at line 175 of file GUI_X_uCOS.c.

void GUI_X_SignalEvent | ( | void |  | ) |

Definition at line 155 of file GUI_X_uCOS.c.

void GUI_X_Unlock | ( | void |  | ) |

Definition at line 126 of file GUI_X_uCOS.c.

void GUI_X_WaitEvent | ( | void |  | ) |

Definition at line 146 of file GUI_X_uCOS.c.

void GUI_X_Warn | ( | const char * | s | ) |

Definition at line 176 of file GUI_X_uCOS.c.

## Variable Documentation

struct os_mutex xQueueMutex
| static

Definition at line 44 of file GUI_X_uCOS.c.

struct os_sem xSemaTxDone
| static

Definition at line 45 of file GUI_X_uCOS.c.